Bug 450344 - Confusing error by stunnel if service name unknown
Confusing error by stunnel if service name unknown
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: stunnel (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Miloslav Trmač
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-06 16:07 EDT by David Tonhofer
Modified: 2013-04-12 15:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 11:11:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The patch submitted upstream (698 bytes, patch)
2008-06-08 00:54 EDT, Miloslav Trmač
no flags Details | Diff

  None (edit)
Description David Tonhofer 2008-06-06 16:07:30 EDT
Description of problem:

(actually an upstream bug)

If you give an "accept" value to the stunnel server on which it is supposed to
listen (in stunnel.conf) with an unknown "service" port, e.g.:

-------
accept  = 80.92.62.11:mysql-SSL
-------

then stunnel-server says:

2008.06.06 21:53:54 LOG3[29997:47517674664128]: Error resolving '80.90.63.37':
servname is not supported for ai_socktype (EAI_SERVICE)

This error message is confusing. It should complain about "unknown service name
mysql-SSL" or something.

Adding a definition for "mysql-SSL" to /etc/services fixes the problem.

Version-Release number of selected component (if applicable):

stunnel-4.15-2

How reproducible:

Always
Comment 1 Miloslav Trmač 2008-06-06 16:16:20 EDT
Thanks for your report.

If you are a RHEL customer and have an active support entitlement, please
contact official Red Hat Support at https://www.redhat.com/apps/support/ to
allow correct prioritization of this issue.
 
Comment 2 Miloslav Trmač 2008-06-08 00:54:02 EDT
Created attachment 308633 [details]
The patch submitted upstream
Comment 9 errata-xmlrpc 2008-09-24 11:11:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0894.html

Note You need to log in before you can comment on or make changes to this bug.